---
title: Window.ondevicemotion
slug: Web/API/Window/ondevicemotion
tags:
  - API
  - Device Orientation
  - Event Handler
  - Mobile
  - Motion
  - Orientation
  - Property
  - Reference
---
<div>{{APIRef("Device Orientation Events")}}</div>

<p>An event handler for the {{domxref("Window/devicemotion_event", "devicemotion")}} events sent to the window.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.ondevicemotion = <var>funcRef</var>;</pre>

<p>Where <code>funcRef</code> is a reference to a function. This function receives a {{DOMxRef("DeviceMotionEvent")}} object describing the motion that occurred.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Device Orientation")}}</td>
   <td>{{Spec2("Device Orientation")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.ondevicemotion")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Window/devicemotion_event", "devicemotion")}}</li>
 <li>{{DOMxRef("DeviceMotionEvent")}}</li>
 <li><a href="/en-US/docs/Web/API/Detecting_device_orientation">Detecting device orientation</a></li>
</ul>
